# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate libssh2-sys

Name:           rust-%{crate}
Version:        0.2.10
Release:        1%{?dist}
Summary:        Native bindings to the libssh2 library

# https://github.com/alexcrichton/ssh2-rs/issues/75
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/libssh2-sys
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No Windows
Patch0:         libssh2-sys-0.2.8-fix-metadata.diff
# # Doesn't seem to be upstreamable
Patch1:         0001-build.rs-always-use-pkg-config.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(libc) >= 0.2.0 with crate(libc) < 0.3.0)
BuildRequires:  (crate(libz-sys) >= 1.0.18 with crate(libz-sys) < 2.0.0)
BuildRequires:  (crate(openssl-sys) >= 0.9.0 with crate(openssl-sys) < 0.10.0)
# [build-dependencies]
BuildRequires:  (crate(cmake) >= 0.1.2 with crate(cmake) < 0.2.0)
BuildRequires:  (crate(pkg-config) >= 0.3.11 with crate(pkg-config) < 0.4.0)
BuildRequires:  pkgconfig(libssh2)

%description
%{summary}.

%package        devel
Summary:        %{summary}
Requires:       pkgconfig(libssh2)
BuildArch:      noarch

%description    devel
Native bindings to the libssh2 library.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -N
# No bundled deps
rm -vrf libssh2/
%patch0 -p1
%patch1 -p2
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%{cargo_registry}/%{crate}-%{version}/

%changelog
* Tue Aug 07 2018 Josh Stone <jistone@redhat.com> - 0.2.10-1
- Update to 0.2.10

* Sat Jul 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.8-1
- Update to 0.2.8

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri May 04 2018 Josh Stone <jistone@redhat.com> - 0.2.7-1
- Update to 0.2.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.6-2
- Rebuild for rust-packaging v5

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.6-1
- Update to 0.2.6

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.5-3
- Port to use rust-packaging

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.5-2
- Rebuild

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.5-1
- Initial package
